'use strict';

exports.__esModule = true;
exports.observe = exports.RemoteValue = exports.RemoteSession = exports.RemoteContext = exports.Context = exports.EnvContext = undefined;

var _EnvContext2 = require('./EnvContext');

var _EnvContext3 = _interopRequireDefault(_EnvContext2);

var _Context2 = require('./Context');

var _Context3 = _interopRequireDefault(_Context2);

var _RemoteContext2 = require('./RemoteContext');

var _RemoteContext3 = _interopRequireDefault(_RemoteContext2);

var _RemoteSession2 = require('./RemoteSession');

var _RemoteSession3 = _interopRequireDefault(_RemoteSession2);

var _RemoteValue2 = require('./RemoteValue');

var _RemoteValue3 = _interopRequireDefault(_RemoteValue2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @type {EnvContext}
 */
var EnvContext = exports.EnvContext = _EnvContext3.default;

/**
 * @type {Context}
 */
/**
 * Copyright 2017 Moshe Simantov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var Context = exports.Context = _Context3.default;

/**
 * @type {RemoteContext}
 */
var RemoteContext = exports.RemoteContext = _RemoteContext3.default;

/**
 * @type {RemoteSession}
 */
var RemoteSession = exports.RemoteSession = _RemoteSession3.default;

/**
 * @type {RemoteValue}
 */
var RemoteValue = exports.RemoteValue = _RemoteValue3.default;

/**
 * @type {RemoteValue.observe}
 */
var observe = exports.observe = _RemoteValue2.observe;